=== debian/changelog ===
qclib (1.1.0-0ubuntu1) xenial; urgency=medium

  * Initial release LP: #1544101.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 17 Feb 2016 11:41:38 +0000
