=== debian/control ===
Source: qclib
Priority: optional
Maintainer: Dimitri John Ledkov <xnox@ubuntu.com>
Build-Depends: debhelper (>=9)
Standards-Version: 3.9.6
Section: libs
Homepage: http://www.ibm.com/developerworks/linux/linux390/qclib.html

Package: qclib-dev
Section: libdevel
Architecture: s390x
Depends: libqc1 (= ${binary:Version}), ${misc:Depends}
Description: query capacity library (development package)
 qclib provides a C API for extraction of system information
 for Linuz on z Systems.
 .
 This package provides development headers.

Package: libqc1
Architecture: s390x
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: query capacity library
 qclib provides a C API for extraction of system information
 for Linuz on z Systems.

Package: qclib-test
Architecture: s390x
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: query capacity library (tests)
 qclib provides a C API for extraction of system information
 for Linuz on z Systems.
 .
 This package provides test utilities.
