## qclib 1.2.0

=== debian/changelog ===
qclib (1.2.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release
  * Update symbols
  * Update standards version

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 10 Jun 2016 09:50:55 +0100
