## qclib 1.3.1

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,14 @@
-# Copyright IBM Corp. 2013, 2015
+# Copyright IBM Corp. 2013, 2017
 
 # Versioning scheme: major.minor.bugfix
 #     major : Backwards compatible changes to the API
 #     minor : Additions leaving the API unmodified
 #     bugfix: Bugfixes only
-VERM    = 1
-VERSION = $(VERM).1.0
-CFLAGS  = -g -Wall -O2
-CFILES  = query_capacity_data.c query_capacity.c query_capacity_sthyi.c query_capacity_sysinfo.c query_capacity_hypfs.c
+VERSION = 1.3.1
+VERM    = $(shell echo $(VERSION) | cut -d '.' -f 1)
+CFLAGS ?= -g -Wall -O2
+CFILES  = query_capacity.c query_capacity_data.c query_capacity_sysinfo.c query_capacity_ocf.c \
+          query_capacity_hypfs.c query_capacity_sthyi.c
 OBJECTS = $(patsubst %.c,%.o,$(CFILES))
 .SUFFIXES: .o .c
 
@@ -36,7 +37,9 @@
 	$(AR) rcs $@ $^
 
 libqc.so.$(VERSION): $(OBJECTS)
-	$(LINK) -shared $^ -o $@
+	$(LINK) -Wl,-soname,libqc.so.$(VERM) -shared $^ -o $@
+	-rm libqc.so.$(VERM) 2>/dev/null
+	ln -s libqc.so.$(VERSION) libqc.so.$(VERM)
 
 qc_test: qc_test.c libqc.a
 	$(CC) $(CFLAGS) -static $< -L. -lqc -o $@
@@ -80,4 +83,4 @@
 clean:
 	echo "  CLEAN"
 	rm -f $(OBJECTS) libqc.a libqc.so.$(VERSION) qc_test qc_test-sh hcpinfbk_qclib.h
-	rm -rf html
+	rm -rf html libqc.so.$(VERM)
