=== debian/changelog ===
qclib (1.3.1-0ubuntu1) bionic; urgency=medium

  * New upstream release LP: #1732421
  * Drop patches, no longer required

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 29 Jan 2018 18:07:35 +0000
