=== debian/tests/control ===
Tests: unit-test
Depends: qclib-test
