## qclib 1.4.1

=== debian/changelog ===
qclib (1.4.1-0ubuntu1) cosmic; urgency=medium

  * New upstream release LP: #1760803
  * Update debhelper compat, copyright years, standards version, fix
    lintian warnings.

 -- Dimitri John Ledkov 🌈 <xnox@ubuntu.com>  Wed, 04 Jul 2018 11:45:07 +0100
