=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: qclib
 Priority: optional
 Maintainer: Dimitri John Ledkov <xnox@ubuntu.com>
-Build-Depends: debhelper (>=9)
-Standards-Version: 3.9.7
+Build-Depends: debhelper (>=11)
+Standards-Version: 4.1.4.2
 Section: libs
 Homepage: http://www.ibm.com/developerworks/linux/linux390/qclib.html
