## qclib 2.0.1

=== debian/changelog ===
qclib (2.0.1-0ubuntu1) focal; urgency=medium

  * New upstream release LP: #1852718

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 29 Jan 2020 23:45:08 +0000
