## qclib 2.1.0

=== Makefile ===
--- 
+++ 
@@ -4,13 +4,16 @@
 #     major : Backwards compatible changes to the API
 #     minor : Additions leaving the API unmodified
 #     bugfix: Bugfixes only
-VERSION = 1.3.1
+VERSION = 2.1.0
 VERM    = $(shell echo $(VERSION) | cut -d '.' -f 1)
 CFLAGS ?= -g -Wall -O2
-CFILES  = query_capacity.c query_capacity_data.c query_capacity_sysinfo.c query_capacity_ocf.c \
-          query_capacity_hypfs.c query_capacity_sthyi.c
+CFILES  = query_capacity.c query_capacity_data.c query_capacity_sysinfo.c \
+          query_capacity_sysfs.c query_capacity_hypfs.c query_capacity_sthyi.c
 OBJECTS = $(patsubst %.c,%.o,$(CFILES))
 .SUFFIXES: .o .c
+
+LEVEL := $(shell git log --pretty=format:'%h' -n 1)
+DATE  := $(shell git log --pretty=format:'%ai' -n 1)
 
 ifneq ("${V}","1")
         MAKEFLAGS += --quiet
