=== debian/changelog ===
qclib (2.1.0-0ubuntu1) focal; urgency=medium

  * New upstream release LP: #1873792
  * Support z15 mainframes with secure IPL

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 20 Apr 2020 13:42:03 +0100
