=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
 Package: qclib-dev
 Section: libdevel
 Architecture: s390x
-Depends: libqc1 (= ${binary:Version}), ${misc:Depends}
+Depends: libqc2 (= ${binary:Version}), ${misc:Depends}
 Description: query capacity library (development package)
  qclib provides a C API for extraction of system information
  for Linuz on z Systems.
  .
  This package provides development headers.
 
-Package: libqc1
+Package: libqc2
 Architecture: s390x
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: query capacity library
