## qclib 2.2.1

=== debian/changelog ===
qclib (2.2.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release. Taken from Fedora repositories, as no other
    public download of 2.2.0 or 2.2.1 is available, neither from ibm.com
    or github.com/openmainframeproject/qclib. LP: #1902870, LP: #1902874

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 12 Nov 2020 11:27:08 +0000
