=== debian/changelog ===
qclib (2.3.0-0ubuntu1) impish; urgency=medium

  * New upstream release 2.3.0 LP: #1926586
    Taken from https://github.com/ibm-s390-linux/qclib/releases/tag/2.3.0
  * Fix README.md install rather than README
  * Update symbols

 -- Matthieu Clemenceau <matthieu.clemenceau@canonical.com>  Thu, 05 Aug 2021 12:59:36 -0500
