=== debian/control ===
--- 
+++ 
@@ -25,9 +25,18 @@
 
 Package: qclib-test
 Architecture: s390x
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: libqc2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: query capacity library (tests)
  qclib provides a C API for extraction of system information
  for Linuz on z Systems.
  .
  This package provides test utilities.
+
+Package: qclib
+Architecture: s390x
+Depends: libqc2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: query capacity library (tests)
+ qclib provides a C API for extraction of system information
+ for Linuz on z Systems.
+ .
+ This package provides command line utilities.
