=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/default.mk

%:
	dh $@ 

override_dh_auto_build:
	dh_auto_build -- V=1

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/tmp/usr/lib debian/tmp/usr/bin
	mv debian/tmp/usr/lib64 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	cp qc_test-sh debian/tmp/usr/bin/qc_test

#converted into autopkgtest
override_dh_auto_test:
