## qclib 2.3.1

=== debian/changelog ===
qclib (2.3.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release 2.3.1 LP: #1982332
  * Remove the only existing quilt patch 'fix-readme-install.diff',
    since the fix is now upstream.
  * Add debian/watch file (in version 4).

 -- Frank Heimes <frank.heimes@canonical.com>  Wed, 20 Jul 2022 13:55:44 +0200
