## qclib 2.3.2

=== debian/changelog ===
qclib (2.3.2-0ubuntu1) lunar; urgency=medium

  * New upstream release 2.3.2 LP: #2004526
  * Modify d/control to:
    - update 'Standards-Version' to latest standard 4.6.1.0
    - and modify short description to avoid duplicates.
  * Remove no longer used entry in d/source/include-binaries,
    since there is just one entry, remove entire d/source/include-binaries file.

 -- Frank Heimes <frank.heimes@canonical.com>  Tue, 07 Feb 2023 11:31:07 +0100
