=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Dimitri John Ledkov <xnox@ubuntu.com>
 Build-Depends: debhelper (>=11)
-Standards-Version: 4.1.4.2
+Standards-Version: 4.6.1.0
 Section: libs
 Homepage: http://www.ibm.com/developerworks/linux/linux390/qclib.html
 
@@ -22,21 +22,23 @@
 Description: query capacity library
  qclib provides a C API for extraction of system information
  for Linuz on z Systems.
+ .
+ This package provides the shared objects.
 
 Package: qclib-test
 Architecture: s390x
 Depends: libqc2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: query capacity library (tests)
  qclib provides a C API for extraction of system information
- for Linuz on z Systems.
+ for Linuz on z Systems (test package).
  .
  This package provides test utilities.
 
 Package: qclib
 Architecture: s390x
 Depends: libqc2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Description: query capacity library (tests)
+Description: query capacity library (utilities)
  qclib provides a C API for extraction of system information
- for Linuz on z Systems.
+ for Linuz on z Systems (tools/binaries).
  .
  This package provides command line utilities.
