## qclib 2.4.0

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #     major : Backwards compatible changes to the API
 #     minor : Additions leaving the API unmodified
 #     bugfix: Bugfixes only
-VERSION    = 2.3.0
+VERSION    = 2.4.0
 VERM       = $(shell echo $(VERSION) | cut -d '.' -f 1)
 CFLAGS    ?= -g -Wall -O2
 LDFLAGS   ?=
@@ -88,7 +88,7 @@
 	install $(INSTFLAGS) -Dm 644 zname.8 $(DESTDIR)$(MANDIR)/man8/zname.8
 	install $(INSTFLAGS) -Dm 644 zhypinfo.8 $(DESTDIR)$(MANDIR)/man8/zhypinfo.8
 	install $(INSTFLAGS) -Dm 644 query_capacity.h $(DESTDIR)$(INCDIR)/query_capacity.h
-	install $(INSTFLAGS) -Dm 644 README $(DESTDIR)$(DOCDIR)/qclib/README
+	install $(INSTFLAGS) -Dm 644 README.md $(DESTDIR)$(DOCDIR)/qclib/README.md
 	install $(INSTFLAGS) -Dm 644 LICENSE $(DESTDIR)$(DOCDIR)/qclib/LICENSE
 
 installdoc: doc
