=== debian/changelog ===
qclib (2.4.0-0ubuntu1) mantic; urgency=medium

  * New upstream release 2.4.0 LP: #2027670
  * d/control: Upgrade Standards-Version to 4.6.2.
  * d/control: Upgrade debhelper-compat 13.
  * d/rules: Removed obsolete trailing space.
  * d/libqc2.symbols: Updated.
  * d//qclib-dev.install: Add static library.

 -- Alexandre Erwin Ittner <alexandre.ittner@canonical.com>  Wed, 02 Aug 2023 16:23:15 +0000
