=== debian/changelog ===
qclib (2.4.1-0ubuntu1) noble; urgency=medium

  * New upstream release LP: #2050028

 -- Alexandre Erwin Ittner <alexandre.ittner@canonical.com>  Wed, 24 Jan 2024 12:34:02 +0000
