=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: qclib
 Priority: optional
 Maintainer: Dimitri John Ledkov <xnox@ubuntu.com>
-Build-Depends: debhelper (>=11)
-Standards-Version: 4.6.1.0
+Build-Depends: debhelper (>=13), debhelper-compat (= 13)
+Standards-Version: 4.6.2
 Section: libs
 Homepage: http://www.ibm.com/developerworks/linux/linux390/qclib.html
