=== debian/changelog ===
qclib (2.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release LP: #2073082
  * Add DEB_BUILD_MAINT_OPTIONS=hardening=+all to d/rules
    to face lintian message 'hardening-no-bindnow'.
  * Add d/p/fix-typo-in-zname.patch to fix a typo in zname.c and face
    lintian message 'spelling-error-in-binary'.
  * Add d/qclib.lintian-overrides and d/qclib-test.lintian-overrides
    since the package is primarily a library, even if it ships some
    tiny tools on top.

 -- Frank Heimes <frank.heimes@canonical.com>  Mon, 15 Jul 2024 08:49:16 +0200
