=== debian/changelog ===
qclib (2.5.1-0ubuntu1) questing; urgency=medium

  * New upstream release (LP: #2116708)
  * Remove quilt patch d/p/fix-typo-in-zname.patch
    since it's now included in the upstream version.
  * Update Canonical copyright in debian/copyright to (standard) GPL-3.

 -- Patricia Domingues <patricia.domingues@canonical.com>  Tue, 05 Aug 2025 20:59:31 -0300
