=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%qclib-$1.tar.gz%" \
     https://github.com/ibm-s390-linux/qclib/tags \
     (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
